std::__detail::_Automaton Class Referenceabstract
Base and Implementation Classes
Inheritance diagram for std::__detail::_Automaton:
[legend]

## Public Types

typedef unsigned int | _SizeT

## Public Member Functions

virtual std::unique_ptr < _Grep_matcher > | _M_get_matcher (_PatternCursor &__p, _Results &__r, const _AutomatonPtr &__automaton, regex_constants::match_flag_type __flags)=0
virtual _SizeT | _M_sub_count () const =0

## Detailed Description

Base class for, um, automata. Could be an NFA or a DFA. Your choice.

Definition at line 61 of file regex_nfa.h.

The documentation for this class was generated from the following file:

- regex_nfa.h